%global __requires_exclude typelib\\(WebKit\\)
%global __requires_exclude typelib\\(Maliit\\)

Summary: Constructionist learning platform
Name:    sugar
Version: 0.121
Release: %mkrel 1
License: GPLv2+
Group:   Graphical desktop/Other
URL:     https://sugarlabs.org/
Source0: https://download.sugarlabs.org/sources/sucrose/glucose/%{name}/%{name}-%{version}.tar.xz
BuildRequires: gettext-devel
BuildRequires: intltool
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: python3-empy

Requires: avahi
Requires: dbus-x11
Requires: dconf
Requires: ethtool
Requires: gnome-keyring
Requires: gvfs
Requires: gwebsockets
Requires: libwnck3
Requires: metacity
Requires: NetworkManager
Requires: openssh
Requires: polkit
Requires: python3-gobject3
Requires: python3-decorator
Requires: sugar-artwork
Requires: sugar-toolkit-gtk3
Requires: telepathy-mission-control
Requires: telepathy-gabble
Requires: telepathy-salut
Requires: upower
Requires: xdg-user-dirs

BuildArch: noarch

%description
Sugar provides simple yet powerful means of engaging young children in the
world of learning that is opened up by computers and the Internet. With Sugar,
even the youngest learner will quickly become proficient in using the computer
as a tool to engage in authentic problem-solving.  Sugar promotes sharing,
collaborative learning, and reflection, developing skills that help them in all
aspects of life.

Sugar is also the learning environment for the One Laptop Per Child project.
See http://www.laptop.org for more information on this project.

%package cp-all
Summary: All control panel modules
Group: Graphical desktop/Other
Requires: %{name} = %{version}-%{release}
Requires: %{name}-cp-background %{name}-cp-backup %{name}-cp-datetime
Requires: %{name}-cp-frame %{name}-cp-language %{name}-cp-modemconfiguration
Requires: %{name}-cp-network %{name}-cp-keyboard %{name}-cp-webaccount
Requires: %{name}-cp-updater

%description cp-all
This is a meta package to install all Sugar Control Panel modules.

%package cp-background
Summary: Sugar Background control panel
Group: Graphical desktop/Other
Requires: %{name} = %{version}-%{release}

%description cp-background
This is the Sugar control panel to change the background.

%package cp-backup
Summary: Sugar Backup control panel
Group: Graphical desktop/Other
Requires: %{name} = %{version}-%{release}

%description cp-backup
This is the Sugar control panel to backup and restore the Journal.

%package cp-datetime
Summary: Sugar Date and Time control panel
Group: Graphical desktop/Other
Requires: %{name} = %{version}-%{release}

%description cp-datetime
This is the Sugar Date and Time settings control panel.

%package cp-frame
Summary: Sugar Frame control panel
Group: Graphical desktop/Other
Requires: %{name} = %{version}-%{release}

%description cp-frame
This is the Sugar Frame settings control panel.

%package cp-keyboard
Summary: Sugar Keyboard control panel
Group: Graphical desktop/Other
Requires: %{name} = %{version}-%{release}

%description cp-keyboard
This is the Sugar Keyboard settings control panel.

%package cp-language
Summary: Sugar Language control panel
Group: Graphical desktop/Other
Requires: %{name} = %{version}-%{release}

%description cp-language
This is the Sugar Language settings control panel.

%package cp-modemconfiguration
Summary: Sugar Modem configuration control panel
Group: Graphical desktop/Other
Requires: %{name} = %{version}-%{release}
Requires: mobile-broadband-provider-info

%description cp-modemconfiguration
This is the Sugar Modem configuration control panel.

%package cp-network
Summary: Sugar Network control panel
Group: Graphical desktop/Other
Requires: %{name} = %{version}-%{release}

%description cp-network
This is the Sugar Network settings control panel.

%package cp-power
Summary: Sugar Power control panel
Group: Graphical desktop/Other
Requires: %{name} = %{version}-%{release}

%description cp-power
This is the Sugar Power settings control panel.

%package cp-updater
Summary: Sugar Activity Update control panel
Group: Graphical desktop/Other
Requires: %{name} = %{version}-%{release}

%description cp-updater
This is the Sugar Activity Updates control panel.

%package cp-webaccount
Summary: Sugar Web Account control panel
Group: Graphical desktop/Other
Requires: %{name} = %{version}-%{release}

%description cp-webaccount
This is the Sugar Web Account control panel.


%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/sugar/activities

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%config %{_sysconfdir}/dbus-1/system.d/nm-user-settings.conf
%{_bindir}/sugar*
%{_datadir}/glib-2.0/schemas/org.sugarlabs.gschema.xml
%{_datadir}/mime/packages/sugar.xml
%{_datadir}/xsessions/sugar.desktop

%{python3_sitelib}/*

%dir %{_datadir}/sugar
%dir %{_datadir}/sugar/activities
%dir %{_datadir}/sugar/extensions
%dir %{_datadir}/sugar/extensions/cpsection
%{_datadir}/sugar/extensions/cpsection/__pycache__/

%{_datadir}/sugar/data
%{_datadir}/sugar/extensions/deviceicon
%{_datadir}/sugar/extensions/globalkey
%{_datadir}/sugar/extensions/webservice
%{_datadir}/sugar/extensions/cpsection/*.py*
%{_datadir}/sugar/extensions/cpsection/aboutcomputer
%{_datadir}/sugar/extensions/cpsection/aboutme
%exclude %{_datadir}/sugar/extensions/cpsection/[b-z]*
%{_datadir}/polkit-1/actions/org.sugar.brightness.policy
%{_datadir}/polkit-1/actions/org.sugar.serial-number.policy

%files cp-all

%files cp-background
%{_datadir}/sugar/extensions/cpsection/background

%files cp-backup
%{_datadir}/sugar/extensions/cpsection/backup

%files cp-datetime
%{_datadir}/sugar/extensions/cpsection/datetime

%files cp-frame
%{_datadir}/sugar/extensions/cpsection/frame

%files cp-keyboard
%{_datadir}/sugar/extensions/cpsection/keyboard

%files cp-language
%{_datadir}/sugar/extensions/cpsection/language

%files cp-modemconfiguration
%{_datadir}/sugar/extensions/cpsection/modemconfiguration

%files cp-network
%{_datadir}/sugar/extensions/cpsection/network

%files cp-power
%{_datadir}/sugar/extensions/cpsection/power

%files cp-updater
%{_datadir}/sugar/extensions/cpsection/updater

%files cp-webaccount
%{_datadir}/sugar/extensions/cpsection/webaccount


%changelog
* Thu May 30 2024 papoteur <papoteur> 0.121-1.mga10
+ Revision: 2068742
- new version 0.121

* Fri Dec 29 2023 papoteur <papoteur> 0.120-4.mga10
+ Revision: 2024053
- rebuild for python 3.12

* Tue Oct 17 2023 papoteur <papoteur> 0.120-3.mga10
+ Revision: 1998340
- add requirement for decorator (mga#18706)

* Mon Jan 16 2023 daviddavid <daviddavid> 0.120-2.mga9
+ Revision: 1933847
- filter out no more available typelib(Maliit)

* Mon Jan 16 2023 daviddavid <daviddavid> 0.120-1.mga9
+ Revision: 1933841
- new version: 0.120

* Thu Mar 31 2022 umeabot <umeabot> 0.118-2.mga9
+ Revision: 1835763
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 mrambo3501 <mrambo3501> 0.118-1.mga9
+ Revision: 1774781
- version 0.118
- rebuild for python-3.10

* Wed Mar 24 2021 tv <tv> 0.117-2.mga9
+ Revision: 1708766
- rebuild for python 3.9

* Sun Dec 13 2020 wally <wally> 0.117-1.mga8
+ Revision: 1656718
- new version 0.117
+ danf <danf>
- Switch URLs from http: to https:

* Mon Feb 17 2020 umeabot <umeabot> 0.116-2.mga8
+ Revision: 1537233
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Oct 27 2019 wally <wally> 0.116-1.mga8
+ Revision: 1456100
- new version 0.116
- switch to python3
- drop unneeded scriptlets

* Thu Feb 28 2019 wally <wally> 0.112-3.mga7
+ Revision: 1370518
- add patch to drop webkit1 support

* Fri Sep 21 2018 umeabot <umeabot> 0.112-2.mga7
+ Revision: 1291716
- Mageia 7 Mass Rebuild

* Wed Jan 03 2018 zezinho <zezinho> 0.112-1.mga7
+ Revision: 1189952
- upgrade sugar to 0.112

* Wed May 18 2016 tv <tv> 0.108.1-3.mga6
+ Revision: 1016761
- fix some requires blindly imported from FC
- fix all bogus auto requires by rebuilding with new rpm-mageia-setup

* Wed May 18 2016 tv <tv> 0.108.1-2.mga6
+ Revision: 1016742
- exclude some bogus auto requires
- use %%license

* Sun May 08 2016 zezinho <zezinho> 0.108.1-1.mga6
+ Revision: 1010528
- new version

* Mon Jan 25 2016 zezinho <zezinho> 0.107.2-1.mga6
+ Revision: 927605
- new version

* Mon Jan 18 2016 zezinho <zezinho> 0.107.1-2.mga6
+ Revision: 925329
- patch rediffed
- fix rpm group
- new version 0.107.1
- new version 0.107 sync with fedora

* Thu Sep 10 2015 zezinho <zezinho> 0.106.0-1.mga6
+ Revision: 875760
- new version

* Wed Oct 15 2014 umeabot <umeabot> 0.102.0-4.mga5
+ Revision: 746075
- Second Mageia 5 Mass Rebuild

* Wed Sep 24 2014 wally <wally> 0.102.0-3.mga5
+ Revision: 724233
- filter out 'false' typelib() requires

* Tue Sep 16 2014 umeabot <umeabot> 0.102.0-2.mga5
+ Revision: 689581
- Mageia 5 Mass Rebuild

* Wed Aug 06 2014 zezinho <zezinho> 0.102.0-1.mga5
+ Revision: 660263
- new version
+ pterjan <pterjan>
- Rebuild for new Python

* Mon May 26 2014 wally <wally> 0.101.7-2.mga5
+ Revision: 626854
- rebuild with new rpm-mageia-setup to fix typelib() requires

* Wed May 21 2014 zezinho <zezinho> 0.101.7-1.mga5
+ Revision: 624787
- disable upstream applied patch
- new version

* Sat Nov 02 2013 fwang <fwang> 0.98.8-4.mga4
+ Revision: 549010
- use configure2_5x

* Sat Nov 02 2013 fwang <fwang> 0.98.8-3.mga4
+ Revision: 548995
- bump rel
- cleanup requires, sugar now uses gobject-introspection rather than static binding

* Sat Oct 19 2013 umeabot <umeabot> 0.98.8-2.mga4
+ Revision: 528381
- Mageia 4 Mass Rebuild

* Tue Jun 18 2013 zezinho <zezinho> 0.98.8-1.mga4
+ Revision: 444794
- new version

* Wed Mar 13 2013 zezinho <zezinho> 0.98.5-1.mga3
+ Revision: 402339
- new bugfix version

* Mon Jan 14 2013 umeabot <umeabot> 0.98.3-2.mga3
+ Revision: 383580
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 27 2012 zezinho <zezinho> 0.98.3-1.mga3
+ Revision: 335613
- new version

* Thu Dec 13 2012 zezinho <zezinho> 0.98.1-1.mga3
+ Revision: 330436
- new version
- spec cleanup from fedora

* Mon Dec 03 2012 zezinho <zezinho> 0.98.0-1.mga3
+ Revision: 326104
- now it requires gtk+3
- new version

* Wed Nov 21 2012 zezinho <zezinho> 0.96.3-1.mga3
+ Revision: 320052
- new version

* Mon Sep 24 2012 blino <blino> 0.95.3-2.mga3
+ Revision: 297167
- drop hardcoded hal requirement, sugar is using gio volume monitor

* Tue Jan 03 2012 zezinho <zezinho> 0.95.3-1.mga2
+ Revision: 189899
- new version

* Sun Nov 20 2011 zezinho <zezinho> 0.95.2-1.mga2
+ Revision: 169652
- new version

* Thu Nov 17 2011 zezinho <zezinho> 0.95.1-2.mga2
+ Revision: 168534
- update requires according to upstream

* Mon Nov 14 2011 zezinho <zezinho> 0.95.1-1.mga2
+ Revision: 167741
- new version

* Thu Oct 20 2011 zezinho <zezinho> 0.94.1-1.mga2
+ Revision: 156968
- patch to fix desktop file

* Mon Jul 04 2011 ennael <ennael> 0.88.0-2.mga2
+ Revision: 118257
- remove buildroot
- imported package sugar


* Mon Nov 08 2010 Funda Wang <fwang@mandriva.org> 0.88.0-2mdv2011.0
+ Revision: 595033
- rebuild for py2.7

* Sun Apr 04 2010 Aleksey Lim <alsroot@mandriva.org> 0.88.0-1mdv2010.1
+ Revision: 531082
- Sucrose 0.88.0 release
- Fix SL#1506, SL#1373, SL#1476

* Tue Oct 13 2009 Aleksey Lim <alsroot@mandriva.org> 0.86.2-2mdv2010.0
+ Revision: 456990
- Do not install xsesson/ file; move sugar-emulator.desktop to subpackage
- Push 0.86.2
- Add missed gvfs dependency

* Fri Sep 25 2009 Aleksey Lim <alsroot@mandriva.org> 0.86.0-2mdv2010.0
+ Revision: 448951
- Update to 0.86.0

* Sat Sep 19 2009 Aleksey Lim <alsroot@mandriva.org> 0.85.8-1mdv2010.0
+ Revision: 444537
- Update to 0.85.8

* Tue Aug 11 2009 Aleksey Lim <alsroot@mandriva.org> 0.85.3-2mdv2010.0
+ Revision: 414881
- Sucrose 0.85.2

* Fri Apr 10 2009 Aleksey Lim <alsroot@mandriva.org> 0.84.2-3mdv2009.1
+ Revision: 365765
- SL#682, SL#719; update de, es i18n

* Mon Apr 06 2009 Aleksey Lim <alsroot@mandriva.org> 0.84.2-2mdv2009.1
+ Revision: 364432
- SL#707 fix

* Mon Apr 06 2009 Aleksey Lim <alsroot@mandriva.org> 0.84.2-1mdv2009.1
+ Revision: 364280
- Sucrose 0.84.2 release

* Sat Mar 21 2009 Aleksey Lim <alsroot@mandriva.org> 0.84.1-2mdv2009.1
+ Revision: 359690
- Apply SL#600 patch

* Fri Mar 20 2009 Aleksey Lim <alsroot@mandriva.org> 0.84.1-1mdv2009.1
+ Revision: 359192
- update version to 0.84.1

* Mon Mar 16 2009 Aleksey Lim <alsroot@mandriva.org> 0.84.0-2mdv2009.1
+ Revision: 356017
- correct path to licence

* Wed Mar 04 2009 Aleksey Lim <alsroot@mandriva.org> 0.84.0-1mdv2009.1
+ Revision: 348261
- Sucrose 0.84.0 release

* Mon Feb 23 2009 Aleksey Lim <alsroot@mandriva.org> 0.83.8-1mdv2009.1
+ Revision: 344191
- Sucrose 0.83.6 release

* Tue Feb 17 2009 Aleksey Lim <alsroot@mandriva.org> 0.83.7-2mdv2009.1
+ Revision: 342123
- Fix #47926 the sugar desktop is not added to the list in kdm

* Sun Feb 15 2009 Aleksey Lim <alsroot@mandriva.org> 0.83.7-1mdv2009.1
+ Revision: 340404
- new Sucrose 0.83.5 release

* Tue Jan 20 2009 Aleksey Lim <alsroot@mandriva.org> 0.83.5-1mdv2009.1
+ Revision: 331977
- new Sucrose 0.83.4 release

* Sun Jan 11 2009 Aleksey Lim <alsroot@mandriva.org> 0.83.4-1mdv2009.1
+ Revision: 328372
- Sugar 0.83.3 release

  + Bogdano Arendartchuk <bogdano@mandriva.com>
    - import sugar


* Thu Sep 25 2008 Marco Pesenti Gritti <mpg@redhat.com> - 0.82.9-1
- #7969 Accidental searches lead to a "blank" Home screen
- #8662 xo man jumps around while zooming
- #8642 Bug in WPA key dialog prevents certain passwords from being accepted
- #8657 Help activity doesn't show up on a clean install.
- #8234 Software update (in Control Panel) crashes X-server.

* Sat Sep 20 2008 Marco Pesenti Gritti <mpg@redhat.com> - 0.82.8-1
- #8554 Indicate connected AP in Neighborhood view.
- #7987 Home view XO icon palette for Control Panel has wrong icon
- #7685 Alternate home layouts; fixed ring scaling; better modularization of layouts
- #8148 control panel does have layout problems with languages like mongolian
- #8485 Switching between zoom levels seem to leak

* Tue Sep 16 2008 Simon Schampijer <simon@laptop.org> - 0.82.7-1
- remove numpy finally

* Sat Sep 13 2008 Simon Schampijer <simon@laptop.org> - 0.82.6-1
- #8438 control panel fails when run with python -OO                                                                         
- #8470 SpreadLayout leaks self._collisions                                                                               
- #8375 gst usage in the shell wastes 2.6mb                                                                                        
- #8372 Remove numpy usage from the shell

* Thu Sep 12 2008 Marco Pesenti Gritti <mpg@redhat.com> - 0.82.5-1
- #8427 Sugar does not send SetActive(True)
- #8409 Sugar does not save network's BSSIDs in networks.cfg

* Thu Sep 11 2008 Marco Pesenti Gritti <mpg@redhat.com> - 0.82.4-1
- #7480 Need to 'reset' the network configurations - short term fix
- #8368 Disable the server plugin if no server was specified

* Sat Sep  6 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.82.3-2
- fix license tag

* Sat Sep  6 2008 Marco Pesenti Gritti <mpg@redhat.com> - 0.82.3-1
- #8300 Shell _launchers are leaked
- #7856 notify::active behaviour change
- #8250 Invalid POT for "Copyright and License" of control panel

* Wed Sep  3 2008 Jeremy Katz <katzj@redhat.com> - 0.82.2-2
- Require gstreamer-python and telepathy-python (rhbz#447589)

* Fri Aug 29 2008 Simon Schampijer <simon@laptop.org> - 0.82.2-1
- 6929 Control panel: include copyright/licensing info in about dialogue 
- Fix some launcher issues

* Thu Aug 28 2008 Tomeu Vizoso <tomeu@tomeuvizoso.net> - 0.82.1-1
- #2866 Network Manager GUI doesn't report success or failure
- #3993 The color of network icon in Home view becomes white after restarting Sugar.
- #2866 Network Manager GUI doesn't report success or failure
- #7988 Sugar control panel doesn't have a language entry for kreyol
- #7823 Non-modal alerts in CP remain when they shouldn't
- #7733 Cannot install Wikipedia-10.xo
- #7356 regression in activity view performance.
- #7660 XO Neighborhood icon drawing & erase glitches
- #6605 Screen rotates clockwise, while rotation button shows counter clockwise arrows
- #7877 Control Panel / Data & Time: Selecting timezone by typing locks up UI
- #7965 Mirror activities list in RTL locales
- #7220 Mark newly downloaded activities as favorites by default
- #7874 Search entry in Home focuses list view when cleared
- #7971 CP fails to validate all settings correctly
- #7970 Some CP modules set needs_restart to False when they shouldn't
- #7764 Reset Registration with school servers - short term solution
- #7823 Non-modal alerts in CP remain when they shouldn't
- #7874 Search entry in Home focuses list view when cleared
- #7730 Clicking on Speaker icon should Mute/Unmute Sound
- #4656 Non-olpc buddies not shown in the meshview (using salut)
- #7873 Search entry in Home should be focused implicitly

* Fri Aug 22 2008 Marco Pesenti Gritti <mpg@redhat.com> - 0.82.0-2.20080822git454def195d
- Fix #6605 #7877 #7965 #7220 #7874 #7971 #7970 #7764 #7823 #7841

* Thu Aug 07 2008 Marco Pesenti Gritti <mpg@redhat.com> - 0.82.0-1
- Mirror the intro screen in rtl. Patch by Khaled Kosny Fix #3108
- #7740 react gracefully to dbus services being restarted
- Fix case when already registered 7836
- Redirect keyboard brightness and DCON freeze requests to OHM #7357
- open cp software-updater on first boot after an update 7495
- Activate threads support 7486
- added languages Norwegian and Slovenian
- translation updates

* Fri Aug 01 2008 Simon Schampijer <simon@laptop.org> - 0.81.8-1
- 7248 Speaker device has inconsistent behavior
- 7625 alt+tab switching is slow because activities are notified unneccessary
- 7560 cp: Inconsistent behavior after changing the xo color
- 7641 Control panel sugar theme infelicities.
- 6136 No feedback from 'register' request. 

* Wed Jul 23 2008 Simon Schampijer <simon@laptop.org> - 0.81.7-1
- 7546 Activity launcher fails to show when launching from the journal
- 5664 Copying formatted text out of Browse breaks Journal/clipboard interaction
- 7385 Change the accelerator for switching between views in the home level
- 7249 Device ordering in Frame is not fixed
- 7510 Control Panel 'About Me' incorrectly keeps a name edit when you choose to Cancel out
- 7071 Activities cannot be deleted via GUI
- 4208 Battery indicator's icon fullness inconsistent with indicator %%.
- 7430 Favorites view is not preserved
- 7434 Control panel UI for power management.

* Thu Jul 17 2008 Simon Schampijer <simon@laptop.org> - 0.81.6-4.20080715git8137d5c37f
- split the sugar-emulator in it's own package to get rid of the 
  xephyr dependency

* Tue Jul 15 2008 Tomeu Vizoso <tomeu@tomeuvizoso.net> - 0.81.6-3.20080715git8137d5c37f
- 7071 Add an option for uninstalling activities from the home view
- 7476 Order control panel modules logically
- 4208 battery icon consistency fix
- 7354 Maintain correct zoom level after activity launch

* Wed Jul 09 2008 Simon Schampijer <simon@laptop.org> - 0.81.6-2.20080709git8f4819a62e
- git snapshot
- 7430 Preserve the favorites layout across reboots
- 7434 Add power section to the control panel

* Wed Jul 09 2008 Simon Schampijer <simon@laptop.org> - 0.81.6-1
- 7438 sugar shuts down when you click Restart
- 7365 Invites not working
- 7248 Speaker device has inconsistent behavior
- 7339 CPU Spins after starting an activity
- 7015 Add proper alignment support to the tray control
- 5613 Cannot set non-ASCII nick name
- 7046 Deleting activity bundle with journal leaves it showing in Home list view until reboot
- 7391 Make the search field in Home reveal the list view
- 7248 Speaker device has inconsistent behavior
- 7272 Notifications are redundant with new launching feedback
- 7273 Activity icons remain colored after launch 

* Sat Jun 21 2008 Tomeu Vizoso <tomeu@tomeuvizoso.net> - 0.81.5-1
- Fix a bug with activity switching (benzea)
- UI improvements to the control panel frame section (erikos)
- First go at session management implementation (marco)
- New activity launching feedback (eben and marco)
- Speaker device implementation cleanups (mtd)
- Support for 1-1 chat with other xmpp clients (morgs and cassidy)
- Shortcuts improvements for emulation (mtd)
- Additional free form layout for the home view and allow to reorder icons (tomeu)
- Improve layout logic for the icons in the mesh view (tomeu)
- Support for switching activities using alt+tab (benzea)

* Mon Jun 09 2008 Simon Schampijer <simon@schampijer.de> - 0.81.3-1
- Search in the activity list (Tomeu)
- Add installation date in the activity list (Tomeu)
- Improve performance of the activity list (Tomeu)
- Sort activities in the list and ring by installation date (Tomeu)
- Speaker device (Martin Dengler)
- Graphical frontend for the control panel (Simon)
- Rotate the dpad keys when the screen rotate button is pressed (Erik Garrison) 

* Thu May 22 2008 Simon Schampijer <simon@schampijer.de> - 0.81.1-2
- Removed patch to fix activity location

* Thu May 22 2008 Simon Schampijer <simon@schampijer.de> - 0.81.1-1
- Make arrows scroll up and down in scroll views
- Merge activities.default into favorites

* Tue Apr 28 2008 Marco Pesenti Gritti <mpg@redhat.com> - 0.79.4-1
- Pylint cleanup.
- Misc graphical fixes.

* Mon Apr 28 2008 Marco Pesenti Gritti <mpg@redhat.com> - 0.79.3-2
- Patch to fix system activities location 

* Wed Apr 09 2008 Tomeu Vizoso <tomeu@tomeuvizoso.net> - 0.79.3-1
- Misc graphical fixes.

* Wed Apr  2 2008 Simon Schampijer <simon@laptop.org> - 0.79.2-1
- Frame/Home redesign - Put corner stone

* Fri Mar 28 2008 Marco Pesenti Gritti <mpg@redhat.com> - 0.79.1-1
- Update to 0.79.1

* Mon Feb 11 2008 Marco Pesenti Gritti <mpg@redhat.com> - 0.79.0-2
- Require sugar-artwork

* Fri Feb  8 2008 Marco Pesenti Gritti <mpg@redhat.com> - 0.79.0-1
- Update to 0.79.0, rework dependencies because of the toolkit split

* Sat Feb  2 2008 Marco Pesenti Gritti <mpg@redhat.com> - 0.75.11-2
- Rebuild

* Tue Jan 29 2008 Marco Pesenti Gritti <mpg@redhat.com> - 0.75.11-1
- Fix #5904

* Fri Jan 18 2008 Marco Pesenti Gritti <mpg@redhat.com> - 0.75.10-1
- Fix #1406 #5944 #6051

* Wed Jan 16 2008 Marco Pesenti Gritti <mpg@redhat.com> - 0.75.8-2
- Update the mime db. Fix #5815

* Fri Jan 11 2008 Marco Pesenti Gritti <mpg@redhat.com> - 0.75.8-1
- Fix #5489 #4562 #5765 #5559 #5493 #5573 #5648

* Thu Jan 10 2008 Marco Pesenti Gritti <mpg@redhat.com> - 0.75.7-1
- Fix #4145 #5538 #5760 #5532 #5884

* Sat Dec 22 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.75.6-1
- Fix #5489

* Wed Dec 19 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.75.5-1
- Fix #5526 #5512 #4909

* Wed Dec 19 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.75.4-1
- Fix #4906 #5382 #5364

* Wed Dec 12 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.75.3-1
- Fix #4965

* Tue Dec 11 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.75.1-1
- Fix #5154 #5221 #5080

* Wed Dec  5 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.75.0-1
- Update to 0.75.0

* Fri Nov 30 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.70.3-1
- Update to 0.70.3

* Thu Nov 29 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.70.2-2
- Change the jabber server

* Tue Nov 20 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.70.2-1
- Update to 0.70.2

* Mon Nov 19 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.70.1-1
- Update to 0.70.1

* Wed Nov 14 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.89.20071114git411879e9de
- #4768 Fix memory leak when switching between activities. (marco)

* Tue Nov 13 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.88.20071113git9d28557bbd
- Fix randr. (marco)
- Do not fail if there is not an activity service. (marco)
- Alert when an activity cannot be saved. (rwh)

* Tue Nov 13 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.87.20071113git47e231311b
- Get rid of sound competely to be sure we don't block the device. (marco)

* Tue Nov 13 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.86.20071112git1bf6cdaa81
- #4728, #4764: Set the correct colors for filtered out mesh view icons. (tomeu)

* Fri Nov 09 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.85.20071109gitd6bac927e1
- #4667 Do not display XO outside the mesh view. (marco)
- #4687 Use the right free function, fix a crash. (sjoerd)
- #4724 Display meshbox invite palette menu with colored
  activity icon (erikos)
- Always checkin to the DS from a new file. (tomeu)

* Fri Nov 09 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.84.20071109git55864fa3f6
- Support for the espeak service. (codyl)
- Fix typo in activity launching code. (marco)

* Thu Nov 08 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.83.20071108gite23f012e08
- Launch a few activities outside rainbow containers. (marco)

* Thu Nov 08 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.82.20071108git3e491c2dc7
- #4715: Filter new items that appear in the mesh view. (tomeu)
- #4716: Filter correctly activity icons in the mesh view. (tomeu)
- Use HOME/.i18n in control panel and reset jabber_registered to False (erikos)

* Wed Nov 07 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.81.20071107gitdae3ebe8d1
Snapshot 306d32832f

* Tue Nov  6 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.80.20071106git306d32832f
- Add missing dependency to sugar-base

* Tue Nov 06 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.79.20071106git306d32832f
- Associate ctrl+s to keep. (rwh)

* Tue Nov 06 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.78.20071105git73cae198f5
- Remove the startup sound for now, to not break audio
  for all the activities. (marco)

* Mon Nov 05 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.77.20071105git0a9676171d
- #4650: Failure to write journal files. (marco)

* Mon Nov 05 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.76.20071105gitee8712d1c4
- #3119: Implement some basic search capabilities in the mesh view. (tomeu)

* Sun Nov 04 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.75.20071104gitd456f6c633
- New experimental screenshot code. (marco)

* Sat Nov 03 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.74.20071103gite748f756c0
- #4618: Make the shell service more resilient to failure. (tomeu)

* Fri Nov 02 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.73.20071102git39aca0154d
- Get bundle installation to work again. (marco)

* Fri Nov 02 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.72.20071102gitb6422678e6
- #1941 Call FocusSearch method for popping up the journal. (rwh)

* Fri Oct 19 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.71.20071019gitefd0bbd326
- New snapshot

* Thu Oct 18 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.70.20071018git78f51a1b56
- New snapshot

* Thu Oct 11 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.69.20071010git9c5755d85a
- New snapshot

* Tue Oct  9 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.68.20071009git6c7c6a503b
- New snapshot

* Sun Oct  7 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.67.20071007git143f9ac9c6
- New snapshot

* Sun Oct  7 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.66.20071007git143f9ac9c6
- New snapshot

* Sat Oct  6 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.65.20071006gitc74013db1f
- New snapshot

* Sat Oct  6 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.64.20071005git79ba6b91b7
- New snapshot

* Thu Oct  4 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.63.20071004gitacca55e861
- New snapshot

* Mon Oct  1 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.61.20071001gited40d65791
- New snapshot

* Fri Sep 28 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.60.20070928gitb8ec83c5b8
- New snapshot

* Wed Sep 26 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.59.20070926git5a595ea04e
- New snapshot

* Tue Sep 25 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.58.20070925git5a595ea04e
- New snapshot

* Mon Sep 24 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.57.20070924git5a595ea04e
- New snapshot

* Sat Sep 22 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.56.20070922git5a595ea04e
- New snapshot

* Thu Sep 20 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.55.20070920git5a595ea04e
- New snapshot

* Wed Sep 19 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.54.20070919gitb8ce5083b7
- New snapshot

* Wed Sep 19 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.53.20070919gitb8ce5083b7
- New snapshot

* Tue Sep 18 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.52.20070918gitb8ce5083b7
- New snapshot

* Tue Sep 18 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.51.20070917gitb8ce5083b7
- New snapshot
- Add a patch to set the jabber server to jabber.laptop.org

* Mon Sep 17 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.50.20070917gited22733941
- New snapshot

* Sat Sep 15 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.49.20070915git8ef6c57f8b
- New snapshot

* Fri Sep 14 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.48.20070914git0a666e23cf
- New snapshot

* Wed Sep 12 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.47.20070912git47f473189e
- New snapshot

* Tue Sep 11 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.46.20070911git8b784a6223
- New snapshot

* Mon Sep 10 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.45.20070910git79237f3114
- New snapshot

* Sun Sep  9 2007 Dan Williams <dcbw@redhat.com> - 0.65-0.44.20070909gita1f5cece18
- New snapshot

* Sun Sep  9 2007 Dan Williams <dcbw@redhat.com> - 0.65-0.43.20070909git6b6470ebcb
- New snapshot

* Fri Sep  7 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.42.20070907gitc8700feccf
- New snapshot

* Thu Sep  6 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.41.20070906gitd9a30c23ff
- New snapshot

* Tue Sep  4 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.40.20070904git0ad6398cf1
- New snapshot

* Mon Sep  3 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.39.20070903git0b3f687749
- New snapshot

* Sat Sep  1 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.34.20070901gitfeb462d08d
- New snapshot

* Thu Aug 30 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.33.20070830gite65fef5c79
- New snapshot

* Wed Aug 29 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.32.20070829git23ad88db0c
- New snapshot

* Tue Aug 28 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.30.20070827git246ec1e4aa
- New snapshot

* Wed Aug 22 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.29.20070822gitd38cacfe2c
- New snapshot

* Mon Aug 20 2007 John (J5) Palmieri <mpg@redhat.com> - 0.65-0.28.20070820gite83b98a8f6
- New snapshot

* Mon Aug 20 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.28.20070820gitb24a28a77d
- New snapshot

* Tue Aug 14 2007 John (J5) Palmieri <johnp@redhat.com> - 0.65-0.27.20070814gitd93122bf5e
- New snapshot

* Wed Aug  1 2007 Dan Williams <dcbw@redhat.com> - 0.65-0.27.20070801gitd22f00d894
- New snapshot
    * Don't set a presence server by default (except in the emulator) (dcbw)

* Tue Jul 31 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.26.20070731git7ddd46589e
- New snapshot

* Sun Jul 29 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.25.20070729git285099fe08
- New snapshot

* Fri Jul 27 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.24.20070727git285099fe08
- New snapshot

* Wed Jul 25 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.23.20070725git088c7612e3
- New snapshot

* Tue Jul 24 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.22.20070724git9ac5d38e90
- New snapshot

* Mon Jul 23 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.21.20070723git4a924a8e5d
- New snapshot

* Mon Jul 23 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.20.20070723git943c78ffa7
- New snapshot

* Fri Jul 20 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.19.20070720git8ae99aaa87
- New snapshot

* Thu Jul 19 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.18.20070719gitf6f3f2b520
- New snapshot

* Tue Jul 17 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.16.20070717git5212790236
- New snapshot

* Tue Jul 17 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.15.20070716gitfd7336c2f1
- New snapshot

* Mon Jul 16 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.14.20070715git9f4da4e6d1
- New snapshot

* Fri Jul 13 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.13.20070713git4c352d1f83
- New snapshot

* Wed Jul 11 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.12.20070711gitec7eb2ebbb
- New snapshot

* Tue Jul 10 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.11.20070710gitb83a9ec27d
- New snapshot

* Tue Jul 10 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.4.20070710git42f0bcc48d
- New snapshot

* Tue Jul 10 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.3.20070710git757b2b8ce6
- New snapshot

* Mon Jul  9 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.2.20070709gitaa6a024368
- New snapshot

* Sun Jul  8 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.10.20070708gitf8cf7ff1ce
- New snapshot

* Fri Jul  6 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.9.20070706gitcebf25739b
- #1930: Only take preview before closing. (tomeu)

* Fri Jul  6 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.7.20070706git8af15d4e73
- Nicer tooltips. Improved sizing logic. (marco)
- Do not popdown the frame when palettes are active. (marco)
- Add macedonian translation. (ArangelAngov)
- Add brazilian translation. (DiegoZacarao)
- Some fixes for changing the selected clipboard object. (tomeu)
- Fix palettes around the mesh edges. (edsiper)

* Fri Jul  6 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.6.20070706gitde8b3b4c01
- Use HAL to get battery informations.
- Improvements in the mesh view layout.
- Hide the active palette when another popup.
- Icons in the buddy menu items

* Tue Jul  3 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.4.20070703gitcc2b8884c0
- Use the new palette widget everywhere in the UI
- Do not always show the shutdown palette on startup
- Implement primary and secondary state for palettes
- Fix several frame/zoom level bugs 

* Fri Jun 29 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.3.20070629git30bee7e43a
- Better palette positioning
- Reject invalid nick names in the intro screen
- Make startup notification work from the journal and clipboard
- Do not create a new object when resuming from the journal

* Thu Jun 28 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.2.20070628git0d6760b194
- New snapshot

* Thu Jun 28 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.10.20070628git03ef9c034e
- New snapshot

* Wed Jun 27 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.9.20070627git381df08442
- New snapshot

* Wed Jun 27 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.8.20070627git69ba74ddc2
- New snapshot

* Tue Jun 26 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.7.20070626git4f748dba9b
- New snapshot

* Tue Jun 26 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.4.20070626gitgit84127380dc
- New snapshot

* Thu Jun 21 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.3.20070620git0e4efae7ae
- python-telepathy is the name of the package in Fedora

* Wed Jun 20 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.65-0.2.20070620git0e4efae7ae
- Update to 0.65
- Fix versioning scheme

* Tue Jun 19 2007 John (J5) Palmieri <johnp@redhat.com> - 0.64-7.git3b1ee5a0bc.1
- add a %%doc line with COPYING COPYING.LIB and README
- fix up BR's
- fix buildroot

* Thu Jun 14 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.64-6.git3b1ee5a0bc.1
- Remove gst-plugins build dep

* Thu Jun 14 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.64-5.gita1e3dbaf9e.1
- New snapshot

* Mon Jun  4 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.64-3.gitb2980d7bd6.1
- New snapshot

* Wed May 30 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.git9ea6b18027.1
- Updated snapshot

* Thu May 29 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-1.gitb1ed24498c.1
- Journal API fixes

* Thu May 29 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-1.git0c77275ba7.2
- New snapshot

* Thu May 17 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.87.20070517git
- Presence service fixes

* Thu May 17 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.86.20070517git
- Ps and browser fixes

* Wed May 16 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.85.20070516git
- Journal perf fixes

* Tue May 15 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.84.20070515git
- Some ps fixes

* Tue May 15 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.83.20070515git
- Fix mozilla components initialization

* Tue May 15 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.82.20070515git
- Journal and ps fixes

* Mon May 14 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.81.20070514git
- Improved activity toolbar

* Mon May 14 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.80.20070514git
- Fix sugar browser

* Mon May 14 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.79.20070514git
- Several datastore and presence service fixes

* Fri May 11 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.78.20070511git
- Fix cursors

* Fri May 11 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.77.20070511git
- Various theme fixes and correct dpi

* Thu May 10 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.76.20070510git
- New snapshot

* Mon May  7 2007 Dan Williams <dcbw@redhat.com> - 0.63-2.75.20070406git
- Fix nickname encoding and length issues

* Fri Apr  6 2007 Dan Williams <dcbw@redhat.com> - 0.63-2.74.20070406git
- Network manager UI fixes (don't show adhoc APs)
- Fix the 'execute' command so the camera button works
- Blacklist failed buddy service resolutions in the PS

* Thu Apr  5 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.73.20070405git
- Network manager UI fixes

* Tue Apr  3 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.72.20070403git
- Do not abort on X errors

* Tue Apr  3 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.71.20070403git
- Do not kill the process for X errors in mozilla

* Fri Mar 30 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.70.20070331git
- Fix for back/forward on frames

* Fri Mar 30 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.69.20070330git
- Fix pdf downloading on broken servers

* Fri Mar 30 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.68.20070330git
- Some fixes for the new ap status feedback

* Thu Mar 29 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.67.20070329git
- Fixes for the mesh device UI

* Thu Mar 29 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.66.20070329git
- Better feedback for the ap states on the mesh view.

* Thu Mar 29 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.65.20070329git 
- Fix pdf mime type. Mesh network support.

* Wed Mar 28 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.64.20070328git
- Improve rollovers behavior. Disable the presence service.

* Mon Mar 26 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.62.20070326git
- Misc bugfixes

* Fri Mar 23 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.61.20070323git
- Support for translations. Bugfixes.

* Thu Mar 22 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.60.20070322git
- Fix gtkrc path

* Thu Mar 22 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.59.20070322git
- Add a gtkrc. Some fixes.

* Wed Mar 21 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.58.20070321git
- Don't hardcode font for arabic. Entry style fixes.

* Tue Mar 20 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.57.20070320git
- Some style fixes

* Mon Mar 19 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.56.20070319git
- File chooser size fixes

* Sun Mar 18 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.55.20070318git
- More frame and saving fixes

* Sat Mar 17 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.54.20070317git
- Suggest name on save. Frame fixes.

* Fri Mar 16 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.53.20070316git
- Several bug fixes

* Fri Mar 16 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.52.20070316git
- FIx file picker buttons

* Thu Mar 15 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.51.20070315git
- Fix donut and devices sizing

* Thu Mar 15 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.50.20070315git
- Several bugfixes

* Thu Mar 15 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.49.20070315git
- Downloads fixes and improvements

* Wed Mar 14 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.48.20070314git
- Improve the frame behavior and animation
- Add API to save image and web pages

* Sun Mar 11 2007 Dan Williams <dcbw@redhat.com> - 0.63-2.47.20070308git.1
- Better frame animation

* Thu Mar  8 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.47.20070308git
- Add a default picture

* Wed Mar  7 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.46.20070307git
- More nm fixes. Fix keyboard grabbing.

* Wed Mar  7 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.45.20070307git
- Some nmclient signals cleanups

* Wed Mar  7 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.44.20070307git
- Fix the doubling access points bug. Fix some access point state bugs.

* Wed Mar  7 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.43.20070307git
- Simple but efficient implementation of spreadbox

* Mon Mar  5 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.42.20070306git
- Update snapshot

* Mon Mar  5 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.41.20070305git
- Update snapshot

* Mon Mar  5 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.40.20070305git
- Update snapshot

* Sat Mar  3 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.39.20070305git
- Update snapshot

* Sat Mar  3 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.38.20070304git
- Update snapshot

* Sat Mar  3 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.37.20070304git
- Update snapshot

* Fri Mar  2 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.36.20070302git
- Update snapshot

* Thu Mar  2 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.34.20070302git
- Update snapshot

* Thu Mar  2 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.33.20070302git
- Update snapshot

* Thu Feb 29 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.32.20070302git
- Update snapshot

* Thu Feb 29 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.31.20070301git
- Update snapshot

* Wed Feb 28 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.30.20070228git
- Update snapshot

* Wed Feb 28 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.28.20070228git
- Update snapshot

* Wed Feb 28 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.27.20070228git
- Update snapshot

* Wed Feb 28 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.26.20070228git
- Update snapshot

* Wed Feb 28 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.25.20070228git
- Update snapshot

* Wed Feb 28 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.24.20070228git
- Update snapshot 

* Tue Feb 27 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.23.20070227git
- Update snapshot

* Sat Feb 24 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.22.20070224git
- Update to 0.63-2.22.20070224git

* Thu Feb 15 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.21.20070215git
- Update to 0.63-2.21.20070215git

* Thu Feb  8 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.20.20070208git
- Update to 0.63-2.20.20070208git

* Tue Feb  5 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.20.20070203git.1
- Remove dep on pygtkmozembed

* Sun Feb  3 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.20.20070203git
- Update to 0.63-2.20.20070203git

* Sun Feb  3 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.19.20070203git
- Update to 0.63-2.19.20070203git

* Wed Jan 31 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.18.20070131git
- Update to 0.63-2.18.20070131git

* Wed Jan 31 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.17.20070131git
- Update to 0.63-2.17.20070131git

* Wed Jan 31 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.16.20070131git
- Update to 0.63-2.16.20070131git

* Wed Jan 29 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.15.20070129git
- Update to 0.63-2.15.20070129git

* Wed Jan 17 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.14.20070167git
- Update to 0.63-2.14.20070117git

* Tue Jan 16 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.13.20070116git
- Update to 0.63-2.13.20070116git

* Mon Jan 15 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.12.20070115git
- Update to 0.63-2.12.20070115git

* Sat Jan 13 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.11.20070113git
- Update to 0.63-2.11.20070113git

* Fri Jan 12 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.10.20070112git
- Update to 0.63-2.10.20070112git

* Thu Jan 11 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.9.20070111git
- Update to  0.63-2.9.20070111git

* Wed Jan 10 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.8.20070110git
- Update to 0.63-2.8.20070110git

* Wed Jan 10 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.7.20070110git
- Update to 0.63-2.7.20070110git

* Tue Jan  9 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.6.20070109git
- Update to 2.6.20070109git

* Tue Jan  9 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.5.20070109git
- Update to 2.5.20070109git

* Mon Jan  8 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.4.20070108git
- Update to 2.4.20070108git

* Mon Jan  8 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.3.20070108git
- Update to 2.3.20070108git

* Mon Jan  8 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.1.20070108git
- Update to 2.1.20070108git

* Fri Jan  5 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.2.20070105git 
- Update to 0.63-2.2.20070105git

* Fri Jan  5 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-2.1.20070105git 
- Update to 0.63-2.1.20070105git

* Thu Nov 21 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.63-1
- Update to 0.63

* Wed Nov 20 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.62-1
- Update to 0.62

* Mon Nov 18 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.61-1
- Update to 0.61

* Mon Nov 18 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.60-1
- Update 0.60
- Addd the service files 

* Fri Nov 17 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.59.1-1
- Update to 0.59.1

* Mon Nov 14 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.59-1
- Update to 0.59

* Mon Nov 14 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.58-1
- Update to 0.58

* Sun Nov 12 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.57-1
- Update 0.57

* Sun Nov 12 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.56-1
- Update 0.56

* Sun Nov 12 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.54-1
- Updat 0.54

* Fri Nov 10 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.53-1
- Update 0.53

* Fri Nov 10 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.52-1
- Update to 0.52

* Thu Nov  9 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.51-1
- Update to 0.51

* Wed Nov  8 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.50-1
- Update to 0.50

* Sun Nov  5 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.49-1
- Update to 0.49

* Sat Nov  4 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.48-1
- Update to 0.48

* Fri Nov  3 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.47-1
- Update to 0.47

* Mon Oct 30 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.46-1
- Update to 0.46

* Sat Oct 28 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.45-1
- Update to 0.45

* Thu Oct 26 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.44-1
- Update to 0.44

* Thu Oct 26 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.43-1
- Update to 0.43

* Wed Oct 25 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.42-1
- Update to 0.42

* Tue Oct 24 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.41-1
- Update to 0.41

* Fri Oct 20 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.40-1
- Update to 0.40

* Fri Oct 20 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.39-1
- Update to 0.39

* Thu Oct 19 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.38-1
- Update to 0.38

* Wed Oct 18 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.37-1
- Update to 0.37

* Tue Oct 17 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.36-1
- Update to 0.36

* Tue Oct 17 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.35-1
- Update to 0.35

* Fri Oct 13 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.34-1
- Update to 0.34

* Fri Oct  6 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.33-1
- Update 0.33

* Fri Oct  6 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.32-1
- Update 0.32

* Fri Oct  6 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.31-3
- Add req for vte

* Fri Oct  6 2006 John (J5) Palmieri <johnp@redhat.com> - 0.31-2
- Add req for hippo-canvas-python

* Thu Oct  5 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.31-1
- Update to 0.31

* Wed Oct  4 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.30-1
- Update to 0.30
- Update dependencies

* Mon Sep 11 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.29-1
- Update to 0.29

* Mon Sep 11 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.29-1
- Update to 0.29

* Mon Sep 11 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.28-1
- Update to 0.28

* Mon Sep 11 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.27-1
- Update to 0.27

* Mon Sep 11 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.26-1
- Update to 0.26

* Fri Aug 25 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.25-1
- Update to 0.25

* Fri Aug 25 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.24-1
- Update to 0.24

* Fri Aug 25 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.23-1
- Update to 0.23
- Add build req pygtk2-devel

* Wed Aug 23 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.22-2
- Rebuild

* Wed Aug 23 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.22-1
- Update to 0.22

* Tue Aug 22 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.21-1
- Update to 0.21

* Tue Aug 22 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.20-2
- Requires matchbox-window-manager

* Tue Aug 22 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.20-1
- Update to 0.20
- Fix requires
- Require python-devel
- Require perl-XML-Parser
- Missing make on build
- Require gettext

* Tue Aug 22 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.19-3
- Remove .la

* Tue Aug 22 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.19-2
- Package some missing files

* Tue Aug 22 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.19-1
- Build 0.19

* Sun Jun 30 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.18-1
- Build 0.18

* Sun Jun 30 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.17-1
- Build 0.17

* Sun Jun 29 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.16-1
- Build 0.16

* Sun Jun 24 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.15-1
- Build 0.15

* Sat Jun 23 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.14-1
- Build 0.14

* Fri Jun 22 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.13-1
- Build 0.13

* Fri Jun 22 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.12-4
- Add pkgconfig to build requires

* Fri Jun 22 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.12-3
- Remove build requires

* Fri Jun 22 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.12-2
- Make this noarch

* Fri Jun 22 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.12-1
- Update to release 0.12

* Tue Jun 21 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.11-1
- Update to release 0.11

* Tue Jun 21 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.10-1
- Update to release 0.10

* Tue May 21 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.9-1
- Update to release 0.9

* Tue May 21 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.8-1
- Update to release 0.8

* Tue May 21 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.7-1
- Update to release 0.7

* Tue May 21 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.6-1
- Update to release 0.6

* Tue May 17 2006 Marco Pesenti Gritti <mpg@redhat.com> - 0.4-1
- Update to release 0.4
- No more dbus .services files

* Tue May 16 2006 David Zeuthen <davidz@redhat.com> - 0.3-1
- Update to release 0.3

* Tue May 16 2006 David Zeuthen <davidz@redhat.com> - 0.2-3
- Add Requires: avahi-tools

* Tue May 16 2006 David Zeuthen <davidz@redhat.com> - 0.2-2
- Add Requires: libxml2-python

* Mon May 08 2006 David Zeuthen <davidz@redhat.com> - 0.2-1
- Initial package
